## org.jboss.util
Class Scheduler.SchedulableExample

    java.lang.Object
      |
      +--org.jboss.util.Scheduler.SchedulableExample

All Implemented Interfaces:
  Schedulable

Enclosing class:
  Scheduler

public static class Scheduler.SchedulableExample
extends java.lang.Object
implements Schedulable

A test class for a Schedulable Class

Constructor Summary
`Scheduler.SchedulableExample(java.lang.String pName, int pValue)`

Method Summary
`void` `perform(java.util.Date pTimeOfCall, long pRemainingRepetitions)` Just log the call

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scheduler.SchedulableExample

    public Scheduler.SchedulableExample(java.lang.String pName,
                                        int pValue)

Method Detail

### perform

    public void perform(java.util.Date pTimeOfCall,
                        long pRemainingRepetitions)

  Just log the call
  Specified by:
    `perform` in interface `Schedulable`
  Following copied from interface: `org.jboss.util.Schedulable`
  Parameters:
    `pTimeOfCall` - Date/Time of the scheduled call
    `pRemainingRepetitions` - Number of the remaining repetitions which is -1 if there is an unlimited number of repetitions.

Copyright © 2000 The JBoss Organization. All Rights Reserved.